open-vm-tools 13.0.10: ToolsAppCtx Struct Reference

open-vm-tools 13.0.10

ToolsAppCtx Struct Reference
VMware Tools Plugins

`#include <plugin.h>`

## Data Fields
ToolsCoreAPI | version
const gchar * | name
gboolean | isVMware
int | errorCode
GMainLoop * | mainLoop
RpcChannel * | rpc
GKeyFile * | config
int | blockFD
int | uinputFD
const char ** | envp
gpointer | serviceObj
RegisterServiceProperty | registerServiceProperty

## Detailed Description

Defines the context of a tools application. This data is provided by the core services to applications when they're loaded.

## Field Documentation

## ◆ blockFD

int ToolsAppCtx::blockFD

The FD to access the VMware blocking fs. -1 if no FD available.

## ◆ config

GKeyFile* ToolsAppCtx::config

Service configuration from the config file.

## ◆ envp

const char** ToolsAppCtx::envp

The native environment (without any VMware modifications).

## ◆ errorCode

int ToolsAppCtx::errorCode

Error code to return from the main loop.

## ◆ isVMware

gboolean ToolsAppCtx::isVMware

Whether we're running under a VMware hypervisor.

## ◆ mainLoop

GMainLoop* ToolsAppCtx::mainLoop

The main loop instance for the service.

## ◆ name

const gchar* ToolsAppCtx::name

Name of the application.

## ◆ registerServiceProperty

RegisterServiceProperty ToolsAppCtx::registerServiceProperty

Function pointer for plugins to register properties to the service object serviceObj. This allows a plugin to share data and services to others.

## ◆ rpc

RpcChannel* ToolsAppCtx::rpc

The RPC channel used to communicate with the VMX.

## ◆ serviceObj

gpointer ToolsAppCtx::serviceObj

A GObject instance shared among all plugins. The object itself doesn't provide any functionality; but the service emits a few signals on this object (see the signal name declarations in this header), and plugins can register and emit their own signals using this object.

## ◆ uinputFD

int ToolsAppCtx::uinputFD

The FD to access the uinput. -1 if no FD available.

## ◆ version

ToolsCoreAPI ToolsAppCtx::version

Supported API versions. This is a bit-mask.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/plugin.h